﻿using MvcApplication.Models;
using Syncfusion.JavaScript.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace MvcApplication.Controllers
{
    public class HomeController : Controller
    {
        public PartialViewResult Index()
        {
            return PartialView("MaskEditPartial", new UserViewModel());
        }

        [HttpPost]
        public ActionResult Index(UserViewModel customer)
        {
            return PartialView("MaskEditPartial", customer);
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your app description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }        
    }
}